| OpenSubdiv

Loading...
Searching...
No Matches
LimitStencilTableFactoryReal< REAL >::LocationArray Struct Reference

Descriptor for limit surface locations. More...

`#include <stencilTableFactory.h>`

## Public Member Functions
| LocationArray ()

## Public Attributes
int | ptexIdx
| ptex face index
int | numLocations
| number of (u,v) coordinates in the array
REAL const * | s
| array of u coordinates
REAL const * | t
| array of v coordinates

## Detailed Description

template<typename REAL>
struct OpenSubdiv::OPENSUBDIV_VERSION::Far::LimitStencilTableFactoryReal< REAL >::LocationArray

Descriptor for limit surface locations.

Definition at line 233 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## ◆ LocationArray()

template<typename REAL>

LocationArray | ( |  | ) |
| inline

Definition at line 235 of file stencilTableFactory.h.

## Member Data Documentation

## ◆ numLocations

template<typename REAL>

int numLocations

number of (u,v) coordinates in the array

Definition at line 238 of file stencilTableFactory.h.

## ◆ ptexIdx

template<typename REAL>

int ptexIdx

ptex face index

Definition at line 237 of file stencilTableFactory.h.

## ◆ s

template<typename REAL>

REAL const* s

array of u coordinates

Definition at line 240 of file stencilTableFactory.h.

## ◆ t

template<typename REAL>

REAL const * t

array of v coordinates

Definition at line 241 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h